fn biases {
	.d 'Taxonomy of cognitive biases'
	.c 'help'
	%with-terminal biases {less -fXF -Ps'Cognitive Biases' <{cat <<EOF
A Taxonomy of Cognitive Biases
==============================

§ Too Much Information
----------------------

  ▶ We notice things already primed in memory or repeated often.
      • Availability heuristic
      • Attentional bias
      • Illusory truth effect
      • Mere exposure effect
      • Context effect
      • Cue-dependent forgetting
      • Mood-congruent memory bias
      • Frequency illusion
      • Baader-Meinhof Phenomenon
      • Empathy gap
      • Omission bias
      • Base rate fallacy

  ▶ Bizarre/funny/visually-striking/anthropomorphic things stick out
    more than non-bizarre/unfunny things.
      • Bizarreness effect
      • Humor effect
      • Von Restorff effect
      • Picture superiority effect
      • Self-relevance effect
      • Negativity bias

  ▶ We notice when something has changed.
      • Anchoring
      • Conservatism
      • Contrast effect
      • Distinction bias
      • Focusing effect
      • Framing effect
      • Money illusion
      • Weber–Fechner law

  ▶ We are drawn to details that confirm our own existing beliefs.
      • Confirmation bias
      • Congruence bias
      • Post-purchase rationalization
      • Choice-supportive bias
      • Selective perception
      • Observer-expectancy effect
      • Experimenter's bias
      • Observer effect
      • Expectation bias
      • Ostrich effect
      • Subjective validation
      • Continued influence effect
      • Semmelweis reflex

  ▶ We notice flaws in others more easily than flaws in ourselves.
      • Bias blind spot
      • Naïve cynicism
      • Naïve realism

§ Not Enough Meaning
--------------------

  ▶ We find stories and patterns even in sparse data.
      • Confabulation
      • Clustering illusion
      • Insensitivity to sample size
      • Neglect of probability
      • Anecdotal fallacy
      • Illusion of validity
      • Masked man fallacy
      • Recency illusion
      • Gambler's fallacy
      • Hot-hand fallacy
      • Illusory correlation
      • Pareidolia
      • Anthropomorphism

  ▶ We fill in characteristics from stereotypes, generalities, and
    prior histories.
      • Group attribution error
      • Ultimate attribution error
      • Stereotyping
      • Essentialism
      • Functional fixedness
      • Moral credential effect
      • Just-world hypothesis
      • Argument from fallacy
      • Authority bias
      • Automation bias
      • Bandwagon effect
      • Placebo effect

  ▶ We imagine things and people we're familiar with or fond of as better.
      • Out-group homogeneity bias
      • Cross-race effect
      • In-group bias
      • Halo effect
      • Cheerleader effect
      • Positivity effect
      • Not invented here
      • Reactive devaluation
      • Well-traveled road effect

  ▶ We simplify probabilities and numbers to make them easier to think about.
      • Mental accounting
      • Appeal to probability fallacy
      • Normalcy bias
      • Murphy's Law
      • Zero sum bias
      • Survivorship bias
      • Subadditivity effect
      • Denomination effect
      • Magic number 7±2

  ▶ We think we know what other people are thinking.
      • Illusion of transparency
      • Curse of knowledge
      • Spotlight effect
      • Extrinsic incentive error
      • Illusion of external agency
      • Illusion of asymmetric insight

  ▶ We project our current mindset and assumptions onto the past and future.
      • Telescoping effect
      • Rosy retrospection
      • Hindsight bias
      • Outcome bias
      • Moral luck
      • Declinism
      • Impact bias
      • Pessimism bias
      • Planning fallacy
      • Time-saving bias
      • Pro-innovation bias
      • Projection bias
      • Restraint bias
      • Self-consistency bias

§ Need To Act Fast
------------------

  ▶ To act, we must be confident we can make an impact and feel what
    we do is important.
      • Overconfidence effect
      • Social desirability bias
      • Third-person effect
      • False consensus effect
      • Hard-easy effect
      • Lake Wobegone effect
      • Dunning-Kruger effect
      • Egocentric bias
      • Optimism bias
      • Forer effect
      • Barnum effect
      • Self-serving bias
      • Actor-observer bias
      • Illusion of control
      • Illusory superiority
      • Fundamental attribution error
      • Defensive attribution hypothesis
      • Trait ascription bias
      • Effort justification
      • Risk compensation
      • Peltzman effect

  ▶ To stay focused, we favor the immediate, relatable thing in front of us.
      • Hyperbolic discounting
      • Appeal to novelty
      • Identifiable victim effect

  ▶ To get anything done, we tend to complete things we've invested
    time & energy in.
      • Sunk cost fallacy
      • Irrational escalation
      • Escalation of commitment
      • Generation effect
      • Loss aversion
      • IKEA effect
      • Unit bias
      • Zero-risk bias
      • Disposition effect
      • Pseudocertainty effect
      • Processing difficulty effect
      • Endowment effect
      • Backfire effect

  ▶ To avoid mistakes, we tend to preserve our autonomy and group status,
    and avoid irreversible decisions.
      • System justification
      • Reverse psychology
      • Reactance
      • Decoy effect
      • Social comparison bias
      • Status quo bias

  ▶ We favor options that appear simple or have more complete information
    over more complex, ambiguous options.
      • Ambiguity bias
      • Information bias
      • Belief bias
      • Rhyme as reason effect
      • Bike-shedding effect
      • Law of Triviality
      • Delmore effect
      • Conjunction fallacy
      • Occam's razor
      • Less-is-better effect

§ What Should We Remember?
--------------------------

  ▶ We edit and reinforce some memories after the fact.
      • Misattribution of memory
      • Source confusion
      • Cryptomnesia
      • False memory
      • Suggestibility
      • Spacing effect

  ▶ We discard specifics to form generalities.
      • Implicit associations
      • Implicit stereotypes
      • Stereotypical bias
      • Prejudice
      • Negativity bias
      • Fading affect bias

  ▶ We reduce events and lists to their key elements.
      • Peak–end rule
      • Leveling and sharpening
      • Misinformation effect
      • Serial recall effect
      • List-length effect
      • Duration neglect
      • Modality effect
      • Memory inhibition
      • Primacy effect
      • Recency effect
      • Part-list cueing effect
      • Serial position effect
      • Suffix effect

  ▶ We store memories differently based on how they were experienced.
      • Levels of processing effect
      • Absent-mindedness
      • Testing effect
      • Next-in-line effect
      • Google effect
      • Tip of the tongue phenomenon

ref: <https://github.com/busterbenson/public>
EOF
	}}
}
